Connect Account
https://api.druo.com/accounts/connectSubmit an account connection request using merchant-provided data to bypass the Connect Link flow.
This endpoint directly creates a Connected Account object. It is designed for merchants who gather account details through their own interface and want to bypass the standard DRUO hosted connection flow.
Request body
The UUID of the institution where the connected account is registered.
The type of account. Determines whether the account holds value.
The subtype of the account, providing further detail about the type of account.
The account's number.
The user information object. This field is required only if existing_end_user_id is empty.
The unique identifier of the merchant.
The unique identifier of the existing end user.
The account's routing number, which typically indicates where the account was opened.
The primary reference of the account. Can be any value to associate the connected account with an entity in an external system.
The secondary reference of the account. Can be any value to associate the connected account with an entity in an external system.
A set of key-value pairs that you can attach to an object. You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long.
A valid code within the alias networks table.
The primary identifier payload, such as a payment key or IBAN.
If true, the user will be taken directly to the redirect URL without showing the DRUO redirect page.
The URL to redirect to after the connection flow is completed. The parameters 'ac' (account code), 'al4' (last 4 digits), 'ain' (institution name), 'as' (status), 'aid' (account UUID), and 'clid' (link UUID) will be appended as URL query parameters.
Response
The unique identifier of the connected account.
acc_747536f4-1efd-4cad-91b3-cc8aaeed93e3The UUID of the Connect Link used to connect this account.
clk_422f0f81-5001-4cce-a229-242d9ab9960aIf true, the account requires validation via the Validate Account endpoint using the slug provided in pending_account_validations.
trueA list of pending account validations required to complete the account connection.
The connection status remarks for this connected account.
ACCOUNT_DOES_NOT_EXISTAn object containing the UUID and name of the institution where the connected account is registered.
{"uuid":"ins_ff6c5094-1cd1-11ec-9621-0242ac130002","name":"Banco"}The type of account. Determines whether the account holds value.
DEPOSITORYThe subtype of the account, providing further detail about its type.
SAVINGSThe capabilities enabled for this account.
PAYMENTS, BALANCE, IDENTITY, AUTHENTICATION, TRANSFERSThe full End User object related to this account.
The reason why the account was disconnected.
ACTIVITY_COMPLETEDAdditional notes explaining the account's disconnection.
The primary reference of the account, used to associate it with an entity in an external system.
23423524The secondary reference of the account, used to associate it with an entity in an external system.
bj39fhow39fhqp3f0hfae4344A set of key-value pairs attached to the account object.
{"order_id": "6735"}The source that initiated the creation of the account.
MERCHANT_APIThe date and time the account was created in GMT format.
2021-11-15T23:23:38ZThe date and time the account was last updated in GMT format.
2021-11-15T23:23:38Z
